$ErrorActionPreference = 'Stop'; # stop on all errors

$packageName = 'pgadmin4'
$version     = "1.1"
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url         = 'http://ftp.postgresql.org/pub/pgadmin3/pgadmin4/v1.1/windows/pgadmin4-1.1-x86.exe' # download url
$checksum    = "839E90D6CDA59BBF89FF34D018FECCE62ED8CF824811196486AD4E6B9E60EEEC"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)

  softwareName  = 'pgAdmin 4'
  checksum      = $checksum
  checksumType  = 'sha256'
}

Install-ChocolateyPackage @packageArgs
